# POST /inventory/locations

**Resource:** [INVENTORY](./inventory.md)  
**MCP tool:** `create_inventory_location`  
**Scopes:** `products:write`  
**Write operation:** yes

Create an inventory location (warehouse / stockroom). Requires name.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `name` | body | string | yes |  |
| `address_line1` | body | string | no |  |
| `city` | body | string | no |  |
| `state` | body | string | no |  |
| `postal_code` | body | string | no |  |
| `country` | body | string | no |  |
| `is_default` | body | boolean | no |  |
| `is_active` | body | boolean | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/inventory/locations"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"...","address_line1":"...","city":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`